Bug 189402 - Review Request: bogofilter - Fast anti-spam filtering by Bayesian statistical analysis
Review Request: bogofilter - Fast anti-spam filtering by Bayesian statistical...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-19 14:53 EDT by Adrian Reber
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-08 00:11:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adrian Reber 2006-04-19 14:53:39 EDT
Spec URL: http://lisas.de/~adrian/rpm/bogofilter.spec
SRPM URL: http://lisas.de/~adrian/rpm/bogofilter-1.0.2-1.src.rpm
Description:
Bogofilter is a Bayesian spam filter.  In its normal mode of
operation, it takes an email message or other text on standard input,
does a statistical check against lists of "good" and "bad" words, and
returns a status code indicating whether or not the message is spam.
Bogofilter is designed with fast algorithms (including Berkeley DB system),
coded directly in C, and tuned for speed, so it can be used for production
by sites that process a lot of mail.
Comment 1 Kevin Fenzi 2006-04-29 18:06:21 EDT
a review: 

MUST items:

OK - Rpmlint output. (none)
OK - Package name.
OK - Spec file name matches.
OK - Package guidelines.
OK - License. (GPL)
OK - License field matches in spec.
OK - License included in files
OK - Spec in american english
OK - Spec legible
OK - Md5sum of source from upstream
a1e201e544a3d9181b44b051b46435c3  bogofilter-1.0.2.tar.gz
a1e201e544a3d9181b44b051b46435c3  bogofilter-1.0.2.tar.gz.1
OK - Compiles and builds on one arch at least.
(builds fine in devel mock and fc5)
OK - All required buildrequires included?
OK - Owns all directories it creates.
OK - No duplicate files in %files listing.
OK - Permissions on files correct.
OK - Clean section correct.
OK - Macros consistant.
OK - Code not content.
OK - Doesn't own any files/dirs that are already owned by others.

Minor issues:

1. The Source url doesn't work for me... dl.sf.net doesn't appear
to work quite the same as dl.sourceforge.net.
http://dl.sourceforge.net/sourceforge/bogofilter/bogofilter-1.0.2.tar.gz
works here.

It's a shame that it can't be built with all the possible
database backends and let it be a run time choice which to use.

I don't see any blockers, so this package is APPROVED.

Comment 2 Kevin Fenzi 2006-05-08 00:11:23 EDT
Since this has been imported and built, I am going to close this review with
NEXTRELEASE... 

Note You need to log in before you can comment on or make changes to this bug.